### Constructor

# Phosh GtkMountPrompt new

#### Declaration [src]

    GtkWidget*
    phosh_gtk_mount_prompt_new (
      const char* message,
      const char* icon_name,
      const char* default_user,
      const char* default_domain,
      GVariant* pids,
      const char* const* choices,
      GAskPasswordFlags ask_flags
    )

#### Description

No description available.

#### Parameters

`message`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_user`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_domain`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`pids`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the function.

`choices`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`ask_flags`

  Type: `GAskPasswordFlags`

  No description available.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.